# Uses of Interface
org.codehaus.janino.Java.LambdaBody

Packages that use Java.LambdaBody
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.LambdaBody in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.LambdaBody
Modifier and Type
Class
Description
`static class`
`Java.BlockLambdaBody`
Representation of a "lambda body" that is a block; see JLS9 15.27.2.
`static class`
`Java.ExpressionLambdaBody`
Representation of a "lambda body" that is an expression; see JLS9 15.27.2.
Fields in org.codehaus.janino declared as Java.LambdaBody
Modifier and Type
Field
Description
`final Java.LambdaBody`
Java.LambdaExpression.`body`
The body of this lambda expression; see JLS9 15.27.2.
Methods in org.codehaus.janino with parameters of type Java.LambdaBody
Modifier and Type
Method
Description
`void`
Unparser.`unparseLambdaBody(Java.LambdaBody body)`
Constructors in org.codehaus.janino with parameters of type Java.LambdaBody
Modifier
Constructor
Description
``
`LambdaExpression(Location location, Java.LambdaParameters parameters, Java.LambdaBody body)`